www.cendio.com
Bug 2639 - Error messages from fcntl in ssh
: Error messages from fcntl in ssh
Status: CLOSED FIXED
: ThinLinc
Client
: trunk
: PC Linux
: P2 Normal
: 4.1.0
Assigned To:
:
:
:
:
  Show dependency treegraph
 
Reported: 2008-01-21 11:28 by
Modified: 2013-05-29 10:53 (History)
Acceptance Criteria:


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From cendio 2008-01-21 11:28:03
The following can be found in tlclient.log when logging in:

Mon Jan 21 11:10:38 2008: Calling XML-RPC method 'do_login'
Mon Jan 21 11:10:41 2008: fcntl(0, F_GETFL, 0): Bad file descriptor
Mon Jan 21 11:10:41 2008: fcntl(1, F_GETFL, 0): Bad file descriptor
Mon Jan 21 11:10:41 2008: ServiceProcess: Recieved EOF on fd 11

This is some kind of more or less harmless bug. See komintern text 309533 with
thread.
------- Comment #1 From cendio 2013-02-08 09:50:04 -------
Fixing this as part of b3183.
------- Comment #2 From cendio 2013-02-13 16:45:19 -------
Fixed in r26599.
------- Comment #3 From cendio 2013-05-29 10:53:48 -------
No more fcntl warnings in the log, no observed side effects: good enough for
me.